package redisCli

import (
	"context"
	"git.hilo.cn/hilo-common/mylogrus"
	"git.hilo.cn/hilo-common/resource/config"
	"github.com/go-redis/redis/v8"
)

var RedisClusterClient *redis.Client

func InitCluster() {
	RedisClusterClient = redis.NewClient(&redis.Options{
		Addr:         config.GetConfigRedis().REDIS_CLUSTER_HOST,
		Password:     config.GetConfigRedis().REDIS_CLUSTER_PASSWORD, // no password set
		DB:           0,                                              // use default DB
		PoolSize:     20,
		MinIdleConns: 20,
	})
	mylogrus.MyLog.Infoln(config.GetConfigRedis().REDIS_HOST)
	mylogrus.MyLog.Infoln(config.GetConfigRedis().REDIS_PASSWORD)
	pong, err := RedisClient.Ping(context.Background()).Result()
	if err != nil {
		mylogrus.MyLog.Warn(err)
		mylogrus.MyLog.Fatal("redis cluster db0 connect fail")
	} else {
		mylogrus.MyLog.Info("redis cluster db0 connection success - ", pong)
	}
}

func GetClusterRedis() *redis.Client {
	return RedisClusterClient
}
